"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMarketTransaction = void 0;
const web3_js_1 = require("@solana/web3.js");
const instructions_1 = require("../../src/instructions");
const utils_1 = require("../utils");
const createMarketTransaction = ({ store, payer, connection, sellingResourceOwner, sellingResource, mint, treasuryHolder, owner, treasuryOwnerBump, name, description, mutable, price, piecesInOneWallet, startDate, endDate, }) => __awaiter(void 0, void 0, void 0, function* () {
    const market = web3_js_1.Keypair.generate();
    const instruction = (0, instructions_1.createCreateMarketInstruction)({
        market: market.publicKey,
        store: store.publicKey,
        sellingResourceOwner: sellingResourceOwner.publicKey,
        sellingResource,
        mint,
        treasuryHolder,
        owner,
    }, {
        name,
        description,
        treasuryOwnerBump,
        mutable,
        price,
        piecesInOneWallet,
        startDate,
        endDate,
    });
    const marketTx = yield (0, utils_1.createAndSignTransaction)(instruction, connection, payer, [
        market,
        sellingResourceOwner,
    ]);
    return {
        market,
        marketTx,
    };
});
exports.createMarketTransaction = createMarketTransaction;
//# sourceMappingURL=create-market.js.map