"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createStoreTransaction = void 0;
const web3_js_1 = require("@solana/web3.js");
const mpl_membership_token_1 = require("../../src/mpl-membership-token");
const utils_1 = require("../utils");
const createStoreTransaction = (payer, connection) => __awaiter(void 0, void 0, void 0, function* () {
    const store = web3_js_1.Keypair.generate();
    const instruction = (0, mpl_membership_token_1.createCreateStoreInstruction)({
        store: store.publicKey,
        admin: payer.publicKey,
    }, {
        name: 'Brand new Store',
        description: 'Description the Store',
    });
    const transaction = yield (0, utils_1.createAndSignTransaction)(instruction, connection, payer, [store]);
    return {
        store,
        transaction,
    };
});
exports.createStoreTransaction = createStoreTransaction;
//# sourceMappingURL=create-store.js.map